Download it now!
Bug 82106 - FILEOPEN: RTF - Missing tab character due to footnote
Summary: FILEOPEN: RTF - Missing tab character due to footnote
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.4.0 target:4.3.2
Keywords: bibisected, filter:rtf, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-08-04 01:10 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-31 05:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (1.48 MB, application/rtf)
2014-08-04 01:10 UTC, Yousuf Philips (jay) (retired)
Details
LibO 4.1 VS 4.3 (67.88 KB, image/png)
2014-08-04 01:11 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-04 01:10:52 UTC
Created attachment 103957 [details]
sample file

Steps:
1) Open attached file
2) Scroll down to page 2
3) Above the heading 'High Availability and Disaster Recovery (HADR)' you'll find a line beginning with 'Total' and the number 9 to its right
4) 9 should be aligned with 'Cores' column of the table above it

Tested in 4.3.1 and 4.2.5 on Linux. Regression that begin in 4.2.x.
Comment 1 Yousuf Philips (jay) (retired) 2014-08-04 01:11:22 UTC
Created attachment 103958 [details]
LibO 4.1 VS 4.3
Comment 2 Marina Latini (SUSE) 2014-08-04 13:03:53 UTC
Confirmed on Ubuntu 14.04 x86_64:
* Version: 4.4.0.0.alpha0+
* Build ID: 8cb75e905cef50a2d8a423443d3dcef5f1899027
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-07-30_04:47:13

status -> new
block -> bug 81234 (meta bug for rtf filter)
Comment 3 Yousuf Philips (jay) (retired) 2014-08-04 18:38:37 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2014-08-05 08:58:09 UTC
bibisected:

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
518c9b83800dfc9c791d592245d7e467bfec82c5
92abe3d8366d452263401a2a61d6d7fa894cbfbd
835ce851abe657bb5a8238693ea924287e6890c0
We cannot bisect more!

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# good: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect good c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# good: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect good c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# good: [30cde618212ecaf5725321372bd1b8339f8e2b9f] source-hash-137f872aa8e6e598e7c7ed1ffa4d21e580e22bdb
git bisect good 30cde618212ecaf5725321372bd1b8339f8e2b9f
# bad: [306d62ec4b911895f08f2bb8efefebed7ac795f0] source-hash-735bd120c9ee2d9bb3514907936c27efb75d7282
git bisect bad 306d62ec4b911895f08f2bb8efefebed7ac795f0
# bad: [306d62ec4b911895f08f2bb8efefebed7ac795f0] source-hash-735bd120c9ee2d9bb3514907936c27efb75d7282
git bisect bad 306d62ec4b911895f08f2bb8efefebed7ac795f0
# bad: [835ce851abe657bb5a8238693ea924287e6890c0] source-hash-1e53784811458563b36fd4cbaa15c2f526a7161b
git bisect bad 835ce851abe657bb5a8238693ea924287e6890c0
# good: [159e65f9cccfc8e4774d7a60f00876c07fc7c82a] source-hash-a0be5278c24efcc9a6f22fe5398d780b0744f8ce
git bisect good 159e65f9cccfc8e4774d7a60f00876c07fc7c82a
# good: [159e65f9cccfc8e4774d7a60f00876c07fc7c82a] source-hash-a0be5278c24efcc9a6f22fe5398d780b0744f8ce
git bisect good 159e65f9cccfc8e4774d7a60f00876c07fc7c82a
# skip: [518c9b83800dfc9c791d592245d7e467bfec82c5] source-hash-4ec8c63b5d41ca9ad7dd9ed10dda6b40927d859c
git bisect skip 518c9b83800dfc9c791d592245d7e467bfec82c5
# skip: [92abe3d8366d452263401a2a61d6d7fa894cbfbd] source-hash-9c2a085a45f9acb305fb85367bede360982e71cb
git bisect skip 92abe3d8366d452263401a2a61d6d7fa894cbfbd
# only skipped commits left to test
# possible first bad commit: [835ce851abe657bb5a8238693ea924287e6890c0] source-hash-1e53784811458563b36fd4cbaa15c2f526a7161b
# possible first bad commit: [518c9b83800dfc9c791d592245d7e467bfec82c5] source-hash-4ec8c63b5d41ca9ad7dd9ed10dda6b40927d859c
# possible first bad commit: [92abe3d8366d452263401a2a61d6d7fa894cbfbd] source-hash-9c2a085a45f9acb305fb85367bede360982e71cb
Comment 5 Yousuf Philips (jay) (retired) 2014-08-05 09:03:23 UTC
In my testing, i have found this issue not only effects rtf files, but also docx files like in attachment 103815 [details] on page 20, which is also a 4.2.x regression.
Comment 6 Miklos Vajna 2014-08-10 15:21:34 UTC
This is a regression from b38629ae210b204a6d24d6e9c5c62eaaf563d494 (cp#1000017 DOCX/RTF import: avoid fake tab char in footnotes, 2013-12-05). I'll look into this.
Comment 7 Commit Notification 2014-08-10 19:06:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ae087b8fcc25f5ce83e339d447d2899d3059d45

fdo#82106 RTF import: fix missing tab after special footnote



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2014-08-10 19:51:33 UTC
libreoffice-4-3 review: https://gerrit.libreoffice.org/10861
Comment 9 Commit Notification 2014-08-11 10:12:17 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c9f600eb3ab76f2f4f4fde0cdc3bc91862d029b&h=libreoffice-4-3

fdo#82106 RTF import: fix missing tab after special footnote


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 11:06:25 UTC
Migrating Whiteboard tags to Keywords: (bibisected filter:rtf)
Remove redundant 'rtf_filter'.
[NinjaEdit]